.row{
    margin:0;
}
#sliderCarousel{
    height:calc(100vh - 80px);
}

#sliderCarousel .carousel-inner{
    height:100%;
    position:relative;
}
#sliderCarousel .carousel-caption{
    z-index:1;
}
#sliderCarousel .carousel-item{
    position:relative;
    height:100%;
    width:100%;
}
#sliderCarousel .slider_img{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    object-fit: contain;
    z-index: 1;
    background: rgba(0, 0, 0, .5);
    
}
#sliderCarousel .background_blur{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    z-index: 1;
    height: 100%;
    width: 100%;
    /*filter: blur(20px);*/
}
#sliderCarousel .background_blur2{
        position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;
    background: rgba(0, 0, 0, .1);
    height: 100%;
    width: 100%;
    backdrop-filter: blur(20px);
}


.section_div{
    margin-top:20px;
}
.slider_search_box{
    position:absolute;
    bottom:50px;
    left:50%;
    transform:translateX(-50%);
    z-index:2;
}
.slider_search_box .slider_text{
    color:#fff;
    text-align:center;
    font-size:30px;
    font-weight:600;
    margin-bottom:15px;
    text-shadow: 0px 1px 6px rgba(0, 0, 0, 0.8);
}
.slider_search_div{
    display:grid;
    grid-template-columns: 1fr 1fr 1fr;
    align-items:end;
    gap:10px;
    padding:15px;
    color:#fff;
    background: rgba(0, 0, 0, 0.20);
    backdrop-filter:blur(4px);
    border: 1px solid #ccc;
    border-radius:8px;
}
.search_flex_div{
    display: flex;
    align-items: end;
    gap: 10px;
}
.slider_search_input_div{
    display:flex;
    flex-direction:column;
    font-size:15px;
    gap:6px;
}
.slider_search_div_sub{
    display:flex;
    align-items:center;
    gap:10px;
}
.age_religion_div{
    display: flex;
    gap: 10px;
}
.slider_search_box .select2-container{
    width:100%!important;

}
.slider_search_input_div:nth-child(1){
    width:180px;
}
.slider_search_input_div:nth-child(2){
    width:180px;
}
.slider_search_input_div:nth-child(3){
    width:180px;
}
.slider_search_box .select2-container--default .select2-selection--single{
    height:35px;
    display:flex;
    align-items:center;
}
.slider_search_box .select2-container--default .select2-selection--single .select2-selection__arrow{
    height:100%;
}
.slider_search_box .select2-container--default .select2-selection--single .select2-selection__rendered{
    font-size:14px;
}
.slider_search_box .select2-container--default .select2-selection--single{
    border-radius:0;
}
.slider_search_button{
    padding: 6px 15px;
    background: var(--background-color);
    color: #fff;
    outline: none;
    border: 0;
    white-space: nowrap;
    display: flex;
    height: 100%;
    height:35px;
    align-items:center;
}


@media (orientation: portrait) {
      #sliderCarousel{
        height:auto;
        width: 100%;
        aspect-ratio: 12/9;
    }
}
/* Medium devices (768px and above) */
@media (max-width: 767.98px) {
.carousel-control-next-icon, .carousel-control-prev-icon{
    display: none;
}
#sliderCarousel .slick-prev,#sliderCarousel .slick-next{
    display: none;
}
#sliderCarousel .carousel-inner{
    overflow: unset;
}
.slider_search_box .slider_text{
    font-size:18px;
}
.slider_search_div{
    grid-template-columns: 1fr;
}
.search_flex_div{
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.slider_search_box{

    bottom: -180px;
    width: 95%;
    
}
.slider_search_div{
    background: rgba(0, 0, 0, .7);
    overflow: hidden;
}
.slider_search_div{
      flex-wrap: wrap;
  }
  
  .slider_search_input_div{
      width: 100%!important;
      flex-wrap: wrap;
  }

  .slider_search_button{
      width: 100%;
      text-align: center;
      justify-content: center;
      height: 40px;
  }
 #matrimonial_card .heading_div{
     margin-top: 200px;
 }
}
